QTLtools-rep(1)

NAME
QTLtools rep - Replicate QTL associations in an independent dataset

SYNOPSIS
QTLtools rep --bed quantifications.bed.gz --vcf [in.vcf|in.vcf.gz|in.bcf] --qtl qtls_external.txt --out output.txt [OPTIONS]

DESCRIPTION
This mode reads phenotype-genotype pairs that were identified in another dataset and checks association between the same genotype and phenotype in this dataset.

OPTIONS

--vcf [in.vcf|in.bcf|in.vcf.gz|in.bed.gz] ...
    Genotypes in VCF/BCF format, or another molecular phenotype in BED format. If there is a DS field in the genotype FORMAT of a variant (dosage of the genotype calculated from genotype probabilities, e.g. after imputation), then this is used as the genotype. If there is only the GT field in the genotype FORMAT then this is used and it is converted to a dosage. REQUIRED.

--bed quantifications.bed.gz ...
    Molecular phenotype quantifications in BED format. REQUIRED.

--qtl external_qtls.txt ...
    The file listing the QTLs identified in the external dataset. One phenotype genotype pair (separated by space, phenotype first) per line. REQUIRED.

--out filename.txt
    The output file name. REQUIRED.

--cov covariates.txt
    Covariates to correct the phenotype data with.

--normal
    Rank normal transform the phenotype data so that each phenotype is normally distributed. RECOMMENDED.

OUTPUT FILE

output file
    Space separated output file with the following columns.
    1 | The phenotype ID
    2 | The phenotype's chromosome
    3 | The phenotype's start position
    4 | The phenotype's end position
    5 | The phenotype's strand
    6 | The genotype ID
    7 | The genotype's chromosome
    8 | The genotype's start position
    9 | The genotype's end position
    10 | The p-value of the association
    11 | The slope of the association

EXAMPLE

o   Replicate the results of dataset1 in dataset2, correcting dataset2 phenotype's with technical covariates and normal transforming them:

    QTLtools rep --bed dataset2.bed.gz --vcf dataset2.bcf --cov dataset2.covariates.txt --qtl significant_qtls_dataset1.txt --normal --out rep_results.txt

SEE ALSO
QTLtools(1)

QTLtools website: <https://qtltools.github.io/qtltools>

BUGS
Versions up to and including 1.2, suffer from a bug in reading missing genotypes in VCF/BCF files. This bug affects variants with a DS field in their genotype's FORMAT and have a missing genotype (DS field is .) in one of the samples, in which case genotypes for all the samples are set to missing, effectively removing this variant from the analyses.

Please submit bugs to <https://github.com/qtltools/qtltools>

CITATION
Delaneau O., Ongen H., Brown A. A., et al. A complete tool set for molecular QTL discovery and analysis. Nat Commun 8, 15452 (2017). <https://doi.org/10.1038/ncomms15452>

AUTHORS
Olivier Delaneau (olivier.delaneau@gmail.com), Halit Ongen (halitongen@gmail.com)